<?php
namespace Options;
use Options\Form\OptionsForm;

/**
 * Pruža postavke koje se nalaze u bazi.
 *
 * @package Options
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/strig/options
 */
interface OptionsProviderInterface
{
    /**
     * Vraća imena postavki spremljenih u bazu.
     *
     * @return string[]
     */
    public function getNames(): array;

    /**
     * Vraća zadane postavke.
     *
     * @return mixed[]
     */
    public function getDefaults(): array;

    /**
     * Vraća obrasce za postavke definirane u ovom provideru.
     * Ključ je ime postavke, a vrijednost obrazac.
     *
     * @return string[]|OptionsForm[]
     */
    public function getForms(): array;
}